package com.patzn.lims.drug.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.patzn.lims.core.web.Account;
import com.patzn.lims.core.web.IBaseService;
import com.patzn.lims.drug.entity.DrugSampleOperation;

import java.util.List;

/**
 * <p>
 * 食药样品操作表 服务类
 * </p>
 *
 * @author wwd
 * @since 2020-03-04
 */
public interface IDrugSampleOperationService extends IBaseService<DrugSampleOperation> {

    Page<DrugSampleOperation> page(Page<DrugSampleOperation> page, DrugSampleOperation drugSampleOperation);

    boolean updateRegisterToMake(Account account, Long[] ids);

    boolean updateMakeToReceive(Account account, Long[] longs);

    boolean updateSendToReceive(Account account, Long[] ids);

    boolean updateReceiveToTest(Account account, Long[] ids);

    boolean updateSampleToReport(List<Long> sampleIdEnd, Account account);

    boolean updateReportMakeInfo(Long[] ids, Account account);

    boolean updateCheckReportInfo(Long[] ids, Account account);

    boolean updateIssueReportInfo(Long[] ids, Account account);
}
